{ config, pkgs, ... }:
{
	systemd.tmpfiles.rules = [
		"d /mnt/books 0755 root root -"
		"d /mnt/books_extra 0755 root root -"
		"d /mnt/music 0755 root root -"
		"d /mnt/music_ext 0755 root root -"
		"d /mnt/games 0755 root root -"
		"d /mnt/games_ext 0755 root root -"
		"d /mnt/roms_ext 0755 root root -"
		"d /mnt/podcasts 0755 root root -"
		"d /mnt/audiobooks 0755 root root -"
	];

	fileSystems."/mnt/books" = {
		device = "//10.0.0.76/Books";
		fsType = "cifs";
		options = [
			"credentials=/run/secrets/smb"
			"vers=3.0"
			"uid=1000" "gid=1000"
			"file_mode=0664" "dir_mode=0775"
			"rw" "iocharset=utf8" "cache=strict" "mfsymlinks"
			"_netdev" "nofail"
			"x-systemd.automount" "noauto"
			"x-systemd.idle-timeout=10min"
		];
	};
	fileSystems."/mnt/books_ext" = {
		device = "//10.0.0.76/books_ext";
		fsType = "cifs";
		options = [
			"credentials=/run/secrets/smb"
			"vers=3.0"
			"uid=1000" "gid=1000"
			"file_mode=0664" "dir_mode=0775"
			"rw" "iocharset=utf8" "cache=strict" "mfsymlinks"
			"_netdev" "nofail"
			"x-systemd.automount" "noauto"
			"x-systemd.idle-timeout=10min"
		];
	};
	fileSystems."/mnt/music" = {
		device = "//10.0.0.76/music";
		fsType = "cifs";
		options = [
			"credentials=/run/secrets/smb"
			"vers=3.0"
			"uid=1000" "gid=1000"
			"file_mode=0664" "dir_mode=0775"
			"rw" "iocharset=utf8" "cache=strict" "mfsymlinks"
			"_netdev" "nofail"
			"x-systemd.automount" "noauto"
			"x-systemd.idle-timeout=10min"
		];
	};
	fileSystems."/mnt/music_ext" = {
		device = "//10.0.0.76/music_ext";
		fsType = "cifs";
		options = [
			"credentials=/run/secrets/smb"
			"vers=3.0"
			"uid=1000" "gid=1000"
			"file_mode=0664" "dir_mode=0775"
			"rw" "iocharset=utf8" "cache=strict" "mfsymlinks"
			"_netdev" "nofail"
			"x-systemd.automount" "noauto"
			"x-systemd.idle-timeout=10min"
		];
	};
	fileSystems."/mnt/games" = {
		device = "//10.0.0.76/games";
		fsType = "cifs";
		options = [
			"credentials=/run/secrets/smb"
			"vers=3.0"
			"uid=1000" "gid=1000"
			"file_mode=0664" "dir_mode=0775"
			"rw" "iocharset=utf8" "cache=strict" "mfsymlinks"
			"_netdev" "nofail"
			"x-systemd.automount" "noauto"
			"x-systemd.idle-timeout=10min"
		];
	};
	fileSystems."/mnt/games_ext" = {
		device = "//10.0.0.76/games_ext";
		fsType = "cifs";
		options = [
			"credentials=/run/secrets/smb"
			"vers=3.0"
			"uid=1000" "gid=1000"
			"file_mode=0664" "dir_mode=0775"
			"rw" "iocharset=utf8" "cache=strict" "mfsymlinks"
			"_netdev" "nofail"
			"x-systemd.automount" "noauto"
			"x-systemd.idle-timeout=10min"
		];
	};
	fileSystems."/mnt/roms_ext" = {
		device = "//10.0.0.76/roms_ext";
		fsType = "cifs";
		options = [
			"credentials=/run/secrets/smb"
			"vers=3.0"
			"uid=1000" "gid=1000"
			"file_mode=0664" "dir_mode=0775"
			"rw" "iocharset=utf8" "cache=strict" "mfsymlinks"
			"_netdev" "nofail"
			"x-systemd.automount" "noauto"
			"x-systemd.idle-timeout=10min"
		];
	};
	fileSystems."/mnt/podcasts" = {
		device = "//10.0.0.76/podcasts";
		fsType = "cifs";
		options = [
			"credentials=/run/secrets/smb"
			"vers=3.0"
			"uid=1000" "gid=1000"
			"file_mode=0664" "dir_mode=0775"
			"rw" "iocharset=utf8" "cache=strict" "mfsymlinks"
			"_netdev" "nofail"
			"x-systemd.automount" "noauto"
			"x-systemd.idle-timeout=10min"
		];
	};
	fileSystems."/mnt/audiobooks" = {
		device = "//10.0.0.76/audiobooks";
		fsType = "cifs";
		options = [
			"credentials=/run/secrets/smb"
			"vers=3.0"
			"uid=1000" "gid=1000"
			"file_mode=0664" "dir_mode=0775"
			"rw" "iocharset=utf8" "cache=strict" "mfsymlinks"
			"_netdev" "nofail"
			"x-systemd.automount" "noauto"
			"x-systemd.idle-timeout=10min"
		];
	};
}
